LuckPermsGUI 3.5

Manage LuckPerms groups and users in GUI

  1. BGHDDevelopment
    Native Minecraft Version:
    Legacy (< 1.13)
    Tested Minecraft Versions:
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    • 1.14
    • 1.15
    Source Code:
    https://github.com/BGHDDevelopment/LuckPermsGUI/
    Contributors:
    AsVaidas
    LuckPerms in GUI!
    Manage groups and users in GUI

    (Original Developer: https://www.spigotmc.org/members/asvaidas.40002/)

    Description

    I saw that LuckPerms is not an easily understandable plugin. All those commands are hard. Suggestions to make a GUI for LuckPerms were dropped, so I thought, that with LuckPerms API I can make an easy to use GUI to manage groups and users in GUI.

    This is not an official addon for LuckPerms!
    Do not ask support in LuckPerms discord about this plugin!

    If you have issues while changing any information, first try the same thing with LuckPerms commands before contacting me or LuckPerms developers!

    Dependencies

    NOTICE
    If you use LuckPerms 5 please do the following:
    Go to your main /LuckPerms/ folder. (this is probably at /plugins/LuckPerms)
    Create a folder within this directory called extensions.
    Download https://ci.lucko.me/job/extension-l...act/build/libs/extension-legacy-api-1.0.0.jar and put it in the extensions folder.
    Restart your server.
    Then enter the LuckPermsGUI config.yml file, and change UsingLuckPerms5: false to true.



    LuckPerms 4 will work without any needed steps.

    Wiki (99% of questions can be answered here)
    https://wiki.bghddevelopment.com/books/luckpermsgui


    Commands
    • /lp gui - Open the GUI
    • /lp gui user <user> - Opens an user GUI
    • /lp gui group <group> - Opens a group GUI

    Permissions
    • luckperms.gui - Allows to use GUI

    Plugin video reviews

    Newest Version



    Older version (2.6)



    Screenshots
    1.png 2.png 3.png 4.png 5.png

Recent Reviews

  1. ciel0
    ciel0
    4/5,
    Version: 3.5
    Hello, can you make it support 1.16.4?

    It worked good on previous versions but with the server update to 1.16.4 it's just not working anymore.
    1. BGHDDevelopment
      Author's Response
      Works fine on 1.16.4, for support contact us on discord not through reviews.
  2. Yuzusa
    Yuzusa
    5/5,
    Version: 3.5
    Hi sir, can you make this support 1.16.3?
    i really helpful if you can,thanks sir
    1. BGHDDevelopment
      Author's Response
      Supports it already
  3. kacperleague9
    kacperleague9
    4/5,
    Version: 3.5
    It doesn't have the most valuable feature: auto permission finder like in editor. Overall nothing special...
    1. BGHDDevelopment
      Author's Response
  4. Markjordanugtong
    Markjordanugtong
    5/5,
    Version: 3.5
    Still working on my 1.12.2 server please keep updating it and add more features thank you.
    1. BGHDDevelopment
  5. anarchycraft
    anarchycraft
    5/5,
    Version: 3.5
    thank you mate, very good plugin, easy and fast to config, i recommend this author
    1. BGHDDevelopment
  6. Azowo
    Azowo
    3/5,
    Version: 3.5
    i dont understand how to add a premission. when i add for example. crazyenchanter.ce as a premission it dose not work
    1. BGHDDevelopment
      Author's Response
      Contact us on discord not in reviews
  7. http_elliott
    http_elliott
    5/5,
    Version: 3.5
    Very good plugin, does everything it says it does. I understand luckperms easily enough alone but this just added the extra convenience of quick changes. Thank you.
    1. BGHDDevelopment
      Author's Response
      Thank You
  8. Crusfire
    Crusfire
    3/5,
    Version: 3.3
    the plugins are good, but the author is out of line to answer the question.
    I recommand only if you don't have problem with that.
    1. BGHDDevelopment
      Author's Response
      I told you the exact answer to your question and where to find the answer on the plugin page. Whats the issue?
  9. EXEM0N
    EXEM0N
    4/5,
    Version: 3.3
    It is good but i have switched to bukkit and if you dont have plans to add support for bukkit so do it!
    It would be a verry good opportunity for you to get more users!
    1. BGHDDevelopment
      Author's Response
      Um it would already support Bukkit, test the plugin before reviewing. Also if you have questions as on Discord not in reviews.

      PS: Bukkit is outdated and buggy, I recommend sticking with Spigot.
  10. F3NiTiV
    F3NiTiV
    2/5,
    Version: 3.2
    1.14.4 dosnt work, because i type lpgui and then the chat retype the command ( there is only /lpgui )
    1. BGHDDevelopment
      Author's Response